Patches an existing job and returns it.
To use this endpoint, select Write Jobs under the Equipment category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/beta/industrial/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job": {
"customerName": "Samsara",
"endDate": "2019-06-13T19:08:25Z",
"fleetDeviceIds": [
1234567,
654321
],
"id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"industrialAssetIds": [
"8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"ba84a7e2-9c8d-481f-a248-7cce6b22be9d"
],
"name": "My Job Name",
"notes": "These are my notes",
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000,
"startDate": "2019-06-13T19:08:25Z"
},
"keepHistory": true
}
'{
"data": {
"address": {
"address": "1990 Alameda st, San Francisco, Ca 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Worksite #1"
},
"createdAt": "2019-06-13T19:08:25Z",
"customerName": "Samsara",
"endDate": "2019-06-13T19:08:25Z",
"id": "1553",
"modifiedAt": "2019-06-13T19:08:25Z",
"name": "My Job Name",
"notes": "These are my notes",
"startDate": "2019-06-13T19:08:25Z",
"status": "active",
"uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"fleetDevices": [
{
"id": 123456,
"name": "My Device"
}
],
"industrialAssets": [
{
"id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"name": "My asset"
}
],
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000
},
"id": "1553",
"uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A jobId or uuid in STRING format. JobId must be prefixed with jobId:(Examples: "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596", "jobId:98765").
Job object with fields to update. If a field is not provided, it will not be updated
curl --request PATCH \
--url https://api.samsara.com/beta/industrial/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"job": {
"customerName": "Samsara",
"endDate": "2019-06-13T19:08:25Z",
"fleetDeviceIds": [
1234567,
654321
],
"id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"industrialAssetIds": [
"8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"ba84a7e2-9c8d-481f-a248-7cce6b22be9d"
],
"name": "My Job Name",
"notes": "These are my notes",
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000,
"startDate": "2019-06-13T19:08:25Z"
},
"keepHistory": true
}
'{
"data": {
"address": {
"address": "1990 Alameda st, San Francisco, Ca 94103",
"latitude": 37.456345,
"longitude": 34.5633749,
"name": "Worksite #1"
},
"createdAt": "2019-06-13T19:08:25Z",
"customerName": "Samsara",
"endDate": "2019-06-13T19:08:25Z",
"id": "1553",
"modifiedAt": "2019-06-13T19:08:25Z",
"name": "My Job Name",
"notes": "These are my notes",
"startDate": "2019-06-13T19:08:25Z",
"status": "active",
"uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"fleetDevices": [
{
"id": 123456,
"name": "My Device"
}
],
"industrialAssets": [
{
"id": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596",
"name": "My asset"
}
],
"ontimeWindowAfterArrivalMs": 300000,
"ontimeWindowBeforeArrivalMs": 300000
},
"id": "1553",
"uuid": "8d218e6c-7a16-4f9f-90f7-cc1d93b9e596"
}